Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BLFilterInformation

    java.lang.Object
      jet.api.BLFilterInformation

    public class BLFilterInformation

extends java.lang.Object

Created on 2005-9-22 Copyright (c) 1998, Jinfonet Software, Inc. All rights reserved.

Constructor Summary
`BLFilterInformation(java.lang.String displayName)` Constructor.
`BLFilterInformation(java.lang.String displayName, ExpressionNode expression)` Constructor.

Method Summary
`java.lang.String` | `getDescription()` Gets the description text of the filter.
`java.lang.String` | `getDisplayName()` Gets the filter name.
`ExpressionNode` | `getExpression()` Gets the condition information of the filter
`void` | `setDescription(java.lang.String description)` Sets the description text of the filter.
`void` | `setDisplayName(java.lang.String displayName)` Sets the filter name.
`void` | `setExpressionNode(ExpressionNode expression)` Sets the condition information of the filter

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BLFilterInformation

    public BLFilterInformation(java.lang.String displayName)

  Constructor. Creates a Filter Information.

  Parameters:
    `displayName` - the name to identify the Filter.

### BLFilterInformation

    public BLFilterInformation(java.lang.String displayName,
                               ExpressionNode expression)

  Constructor. Creates a Filter Information with conditions.

  Parameters:
    `displayName` - the name to identify the Filter.
    `expression` - the condition information of the filter

Method Detail

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets the filter name.

  Parameters:
    `displayName` - the unique filter name.

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the filter name.

  Returns:
    the filter name.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description text of the filter.

  Parameters:
    `description` - the description text of the filter..

### getDescription

    public java.lang.String getDescription()

  Gets the description text of the filter.

  Returns:
    the description text of the filter..

### getExpression

    public ExpressionNode getExpression()

  Gets the condition information of the filter

  Returns:
    the condition information of the filter

### setExpressionNode

    public void setExpressionNode(ExpressionNode expression)

  Sets the condition information of the filter

  Parameters:
    `expression` - the condition information of the filter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD